Uploaded image for project: 'Sentry (Retired)'
  1. Sentry (Retired)
  2. SENTRY-2079

Sentry HA leader monitor does not work due to a mix of curator versions in the classpath

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.0.0
    • Fix Version/s: 2.0.0, 2.1.0
    • Component/s: Sentry
    • Labels:
      None

      Description

      While testing Sentry 2.0, I couldn't enable HA mode because connections to Zookeeper were stuck due to a mix of Apache curator dependencies (curator-client-2.8.0 and curator-client-2.11.1).

      We need to exclude the old curator dependencies and also shade the curator jars so that it does not affect other components.

        Attachments

        1. SENTRY-2079.1.patch
          6 kB
          Sergio Peña

          Issue Links

            Activity

              People

              • Assignee:
                spena Sergio Peña
                Reporter:
                spena Sergio Peña
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: